path: /build/build/virtualbox-guest-additions-kernel-5.15-7.0.18.162988+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y --sync-repos kernel-5.15/macaroni-lts-modules --nodeps && luet i -y
    sys-apps/kmod bison flex virtual/linux-sources yasm virtual/libelf dbus xmlto
    app-text-4.2/docbook-xml-dtd app-text-4.4/docbook-xml-dtd app-text-3.0/docbook-xml-dtd
    app-text/docbook-xsl-stylesheets app-text/build-docbook-catalog app-text/sgml-common
    pkgconf iasl $(luet s x11-drivers --quiet) xrandr xrefresh && build-docbook-catalog
    && luet cleanup && cd /lib/modules/5.15.160-macaroni && ln -s /usr/src/linux-5.15.160-macaroni
    build
  - emerge -j ${JOBS} app-emulation/virtualbox-guest-additions -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-guest-additions
  - |
    eval 'rm -rf /virtualbox-guest-additions || true' && mkdir /virtualbox-guest-additions && \
    luet-portage --dir /virtualbox-guest-additions app-emulation/virtualbox-guest-additions
  - for i in /virtualbox-guest-additions/lib/modules/5.15.160-macaroni/misc/*.ko ;
    do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6e9c4fbf37449b055be7c3d8fa433a1a72562e592f60dbc4129abf29e4a149c2
  package:
    name: virtualbox-guest-additions
    version: 7.0.18.162988+1
    category: kernel-5.15
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.15
    provides:
    - name: virtualbox-guest-additions
      version: '>=0'
      category: app-emulation
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    buildtimestamp: 2024-05-31 22:33:05.992724558 +0000 UTC m=+644.539558850
    labels:
      emerge.packages: app-emulation/virtualbox-guest-additions
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.15.160
    treedir: /build/packages
  package_dir: /virtualbox-guest-additions
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1dd029b30bd2f0a33974d4168c8ee46aadcd84ca0e8c8b7cea28bc1ab81d2ee3
compressiontype: zstd
files:
- etc/init.d/virtualbox-guest-additions
- etc/modprobe.d/vboxsf.conf
- etc/xdg/autostart/vboxclient.desktop
- lib/modules/5.15.160-macaroni/misc/vboxguest.ko.zst
- lib/modules/5.15.160-macaroni/misc/vboxsf.ko.zst
- lib/udev/rules.d/60-virtualbox-guest-additions.rules
- sbin/mount.vboxsf
- usr/bin/VBoxControl
- usr/sbin/vboxguest-service
- usr/share/doc/virtualbox-guest-additions-7.0.18/xorg.conf.vbox.bz2
package_cacheimage: ""
runtime:
  name: virtualbox-guest-additions
  version: 7.0.18.162988+1
  category: kernel-5.15
  provides:
  - name: virtualbox-guest-additions
    version: '>=0'
    category: app-emulation
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  labels:
    emerge.packages: app-emulation/virtualbox-guest-additions
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.15.160
